Deployments.ai Docs
Memory

Resolve a memory review item

POST /v1/memory/{memoryId}/review-items/{reviewId} · SDK resolveMemoryReview · CLI deployments memory-review resolve

POST
/v1/memory/{memoryId}/review-items/{reviewId}

Requires memory:admin.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Path Parameters

memoryId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
reviewId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-organization?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key?string

Limited to 500 UTF-8 bytes.

Length1 <= length <= 500

Request Body

application/json
  1. body
content?string
decision*string
Value in"approve""archive""delete""edit""reject"
reason?string

Response Body

MemoryObjectResponse

application/json
  1. response
curl -X POST "https://example.com/v1/memory/string/review-items/string" \  -H "Content-Type: application/json" \  -d '{    "decision": "approve"  }'
{}